> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if an asset exists by path

> Check if an asset exists by path. Requires file_location and file_name.



## OpenAPI

````yaml post /workspaces/import/exists/asset
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/import/exists/asset:
    post:
      tags:
        - Asset Import (upload alternative)
      description: Check if an asset exists by path. Requires file_location and file_name.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                file_location:
                  type: string
                  description: The location of the file
                file_name:
                  type: string
                  description: The name of the file
      responses:
        '200':
          description: Asset ID if the asset exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  asset_id:
                    type: string
                    description: The ID of the asset
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````